LogManager (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.LogManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class LogManager

    java.lang.Object
      org.apache.velocity.runtime.log.LogManager

public class LogManager
extends Object

This class is responsible for instantiating the correct LogChute

The approach is :

- First try to see if the user is passing in a living object that is a LogChute, allowing the app to give its living custom loggers.
- Next, run through the (possible) list of classes specified specified as loggers, taking the first one that appears to work. This is how we support finding logkit, log4j or jdk logging, whichever is in the classpath and found first, as all three are listed as defaults.
- Finally, we turn to the System.err stream and print log messages to it if nothing else works.

Version:
  $Id: LogManager.java 991708 2010-09-01 21:17:56Z nbubna $
Author:
  Jason van Zyl, Jon S. Stevens, Geir Magnusson Jr., Nathan Bubna

Constructor Summary
`LogManager()`

Method Summary
`static void` | `updateLog(Log log, RuntimeServices rsvc)` Update the Log instance with the appropriate LogChute and other settings determined by the RuntimeServices.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogManager

    public LogManager()

Method Detail

### updateLog

    public static void updateLog(Log log,
                                 RuntimeServices rsvc)
                          throws Exception

  Update the Log instance with the appropriate LogChute and other settings determined by the RuntimeServices.

  Parameters:
    `log` -
    `rsvc` -
  Throws:
    `Exception`
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.